apiVersion: v1
kind: Pod
metadata:
  annotations:
    alm-examples: |-
      [
        {
          "apiVersion": "logging.openshift.io/v1",
          "kind": "ClusterLogForwarder",
          "metadata": {
            "name": "instance",
            "namespace": "openshift-logging"
          },
          "spec": {
            "outputs": [
              {
                "name": "remote-elasticsearch",
                "secret": {
                  "name": "elasticsearch"
                },
                "type": "elasticsearch",
                "url": "remote.example.org:9200"
              }
            ],
            "pipelines": [
              {
                "inputRefs": [
                  "application",
                  "audit",
                  "infrastructure"
                ],
                "name": "enable-default-log-store",
                "outputRefs": [
                  "default"
                ]
              },
              {
                "inputRefs": [
                  "application"
                ],
                "name": "forward-to-remote",
                "outputRefs": [
                  "remote-elasticsearch"
                ]
              }
            ]
          }
        },
        {
          "apiVersion": "logging.openshift.io/v1",
          "kind": "ClusterLogging",
          "metadata": {
            "name": "instance",
            "namespace": "openshift-logging"
          },
          "spec": {
            "collection": {
              "type": "fluentd"
            },
            "logStore": {
              "elasticsearch": {
                "nodeCount": 3,
                "redundancyPolicy": "SingleRedundancy",
                "resources": {
                  "requests": {
                    "memory": "2Gi"
                  }
                },
                "storage": {
                  "size": "200G",
                  "storageClassName": "gp2"
                }
              },
              "retentionPolicy": {
                "application": {
                  "maxAge": "7d"
                }
              },
              "type": "elasticsearch"
            },
            "managementState": "Managed",
            "visualization": {
              "kibana": {
                "replicas": 1
              },
              "type": "kibana"
            }
          }
        }
      ]
    capabilities: Seamless Upgrades
    categories: OpenShift Optional, Logging & Tracing
    certified: "false"
    console.openshift.io/plugins: '["logging-view-plugin"]'
    containerImage: registry.redhat.io/openshift-logging/cluster-logging-rhel8-operator@sha256:42c94e6fa2ced71be31255d43e85dfb2148439d2a99a57c0bacc8f5b7494ade1
    createdAt: "2018-08-01T08:00:00Z"
    description: The Red Hat OpenShift Logging Operator for OCP provides a means for
      configuring and managing your aggregated logging stack.
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["fd01:0:0:1::7e/64"],"mac_address":"0a:58:20:44:bb:d5","gateway_ips":["fd01:0:0:1::1"],"ip_address":"fd01:0:0:1::7e/64","gateway_ip":"fd01:0:0:1::1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "fd01:0:0:1::7e"
          ],
          "mac": "0a:58:20:44:bb:d5",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "fd01:0:0:1::7e"
          ],
          "mac": "0a:58:20:44:bb:d5",
          "default": true,
          "dns": {}
      }]
    kubectl.kubernetes.io/default-container: cluster-logging-operator
    olm.operatorGroup: cluster-logging
    olm.operatorNamespace: openshift-logging
    olm.skipRange: '>=4.6.0-0 <5.5.6'
    olm.targetNamespaces: openshift-logging
    openshift.io/scc: anyuid
    operatorframework.io/cluster-monitoring: "true"
    operatorframework.io/properties: '{"properties":[{"type":"olm.gvk","value":{"group":"logging.openshift.io","kind":"ClusterLogForwarder","version":"v1"}},{"type":"olm.gvk","value":{"group":"logging.openshift.io","kind":"ClusterLogging","version":"v1"}},{"type":"olm.maxOpenShiftVersion","value":4.12},{"type":"olm.package","value":{"packageName":"cluster-logging","version":"5.5.6"}}]}'
    operatorframework.io/suggested-namespace: openshift-logging
    operators.openshift.io/infrastructure-features: '["disconnected","proxy-aware"]'
    operators.openshift.io/valid-subscription: '["OpenShift Kubernetes Engine", "OpenShift
      Container Platform", "OpenShift Platform Plus"]'
    operators.operatorframework.io/builder: operator-sdk-unknown
    operators.operatorframework.io/project_layout: go.kubebuilder.io/v3
    resources.workload.openshift.io/cluster-logging-operator: '{"cpushares": 2}'
    support: AOS Logging (team-logging@redhat.com)
    target.workload.openshift.io/management: '{"effect":"PreferredDuringScheduling"}'
  creationTimestamp: "2022-12-12T11:27:38Z"
  generateName: cluster-logging-operator-78cc445466-
  labels:
    name: cluster-logging-operator
    pod-template-hash: 78cc445466
  name: cluster-logging-operator-78cc445466-c9r7n
  namespace: openshift-logging
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: cluster-logging-operator-78cc445466
    uid: e2fb3b15-e6d4-4eda-a418-510d9e555fa9
  resourceVersion: "41502"
  uid: 6b75f524-64c7-46ef-9256-036213a008bc
spec:
  containers:
  - command:
    - cluster-logging-operator
    env:
    - name: WATCH_NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.annotations['olm.targetNamespaces']
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    - name: OPERATOR_NAME
      value: cluster-logging-operator
    - name: RELATED_IMAGE_VECTOR
      value: registry.redhat.io/openshift-logging/vector-rhel8@sha256:7885cd88f3f4cd28a1cb9379350ad224f0c01783bc057a392225cf0567184a2c
    - name: RELATED_IMAGE_FLUENTD
      value: registry.redhat.io/openshift-logging/fluentd-rhel8@sha256:d27224d066f8f1579e022b9abff0fb6a884c402594b18170ace17720cadac2e4
    - name: RELATED_IMAGE_LOG_FILE_METRIC_EXPORTER
      value: registry.redhat.io/openshift-logging/log-file-metric-exporter-rhel8@sha256:7c78bb3cbd33de70d5803ba8a44dc75cb5231d8ddfed0ff6f0c4341c09fdb6de
    - name: RELATED_IMAGE_LOGGING_CONSOLE_PLUGIN
      value: registry.redhat.io/openshift-logging/logging-view-plugin-rhel8@sha256:9c3c0cf82a4b1a56ca4cfaf658a542a6d2ca1345017af4ef7548c9e129b3c8f0
    - name: OPERATOR_CONDITION_NAME
      value: cluster-logging.5.5.6
    image: registry.redhat.io/openshift-logging/cluster-logging-rhel8-operator@sha256:42c94e6fa2ced71be31255d43e85dfb2148439d2a99a57c0bacc8f5b7494ade1
    imagePullPolicy: IfNotPresent
    name: cluster-logging-operator
    resources: {}
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
        - MKNOD
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-7wd2r
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: cluster-logging-operator-dockercfg-7ms5s
  nodeName: sno.kni-qe-24.lab.eng.rdu2.redhat.com
  nodeSelector:
    kubernetes.io/os: linux
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    runAsNonRoot: true
    seLinuxOptions:
      level: s0:c27,c14
  serviceAccount: cluster-logging-operator
  serviceAccountName: cluster-logging-operator
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  volumes:
  - name: kube-api-access-7wd2r
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2022-12-12T11:27:38Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2022-12-12T11:27:38Z"
    message: 'containers with unready status: [cluster-logging-operator]'
    reason: ContainersNotReady
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2022-12-12T11:27:38Z"
    message: 'containers with unready status: [cluster-logging-operator]'
    reason: ContainersNotReady
    status: "False"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2022-12-12T11:27:38Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - image: registry.redhat.io/openshift-logging/cluster-logging-rhel8-operator@sha256:42c94e6fa2ced71be31255d43e85dfb2148439d2a99a57c0bacc8f5b7494ade1
    imageID: ""
    lastState: {}
    name: cluster-logging-operator
    ready: false
    restartCount: 0
    started: false
    state:
      waiting:
        message: 'container has runAsNonRoot and image will run as root (pod: "cluster-logging-operator-78cc445466-c9r7n_openshift-logging(6b75f524-64c7-46ef-9256-036213a008bc)",
          container: cluster-logging-operator)'
        reason: CreateContainerConfigError
  hostIP: 2620:52:0:8e6::d0
  phase: Pending
  podIP: fd01:0:0:1::7e
  podIPs:
  - ip: fd01:0:0:1::7e
  qosClass: BestEffort
  startTime: "2022-12-12T11:27:38Z"

